import { request } from "@/http/axios";

/**修改水泵运行日志 */
export function updateFangpaishuiPumpoperationrecordApi(data: any) {
  return request({
    url: "/FangpaishuiPumpoperationrecordController/updateFangpaishuiPumpoperationrecord",
    method: "post",
    data: data,
  });
}
/** 删除水泵运行日志 */
export function deleteFangpaishuiPumpoperationrecordApi(id: any) {
  return request({
    url: `/FangpaishuiPumpoperationrecordController/deleteFangpaishuiPumpoperationrecord/${id}`,
    method: "delete",
  });
}
/** 根据条件查水泵运行日志 */
export function findPumpoperationrecordByDetailApi(data: any) {
  return request({
    url: `/FangpaishuiPumpoperationrecordController/findPumpoperationrecordByDetail`,
    method: "post",
    data: data,
  });
}

// 新增水泵运行日志
export function addFangpaishuiPumpoperationrecordApi(data: any) {
  return request({
    url: `/FangpaishuiPumpoperationrecordController/addFangpaishuiPumpoperationrecord`,
    method: "post",
    data: data,
  });
}

//根据月查询排/倒水月报表
export function findFangpaishuiPumpoperationrecordByMonthApi(data: any) {
  return request({
    url: `/FangpaishuiPumpoperationrecordController/findFangpaishuiPumpoperationrecordByMonth/${data}`,
    method: "get",
  });
}
